select customers.cust_id
      ,customers.cust_last_name
      ,prod_name
      ,quantity_sold
      ,amount_sold
from sh.customers customers
     join sh.sales sales
        on customers.cust_id = sales.cust_id
     join sh.PRODUCTS products
        on sales.PROD_ID = products.PROD_ID
   where products.prod_id like '1%'
    and customers.cust_id between 3650 and 3670
    order by amount_sold
/
