select country
      ,product
      ,year
      ,round(sales,0) sales
from sales_mview
where country in ('Australia','Canada')
  and product in ('Mouse Pad','Deluxe Mouse')
model return all rows
   partition by (country)
   dimension by (product,year)
   measures (tot_sales sales)
 rules (sales[for product in ('Mouse Pad','Deluxe Mouse'),for year from 2000 to 2005 increment 1] = case when sales[cv(product),cv(year)] is present
                   then sales[cv(product),cv(year)]
                   else sales[cv(product),cv(year)-1]*1.1
                   end)
order by country
        ,product
        ,year
/