/* Sample Solution:	Using Procedures and Functions */
   
CREATE OR REPLACE PROCEDURE tot_pay(salary IN NUMBER, 
                         commission IN NUMBER,
                         total_pay OUT NUMBER)
      IS
      BEGIN
          total_pay := salary + commission;
      END;
/
CREATE OR REPLACE FUNCTION avg_pay(salary_in IN number)
          RETURN char
      IS
         response   char(2);
         avg_pay    number(7,2);
      BEGIN
         select avg(sal) into avg_pay from emp;
         if salary_in < avg_pay
         then
            response := 'OK';
         else
            response := 'NO';
         end if;
	 dbms_output.put_line('Employee is '
			|| response);
         RETURN(response);
      END;
/
DECLARE
    result char(2);
    emp_ename	emp.ename%type;
    emp_job	emp.job%type;
    emp_sal    	emp.sal%type;
    emp_comm 	emp.comm%type;
    emp_pay_total 	number(9,2);
BEGIN
    select ename,job,nvl(sal,0),nvl(comm,0)
      into emp_ename,emp_job,emp_sal,emp_comm
      from emp
      where empno = &enter_empno;
    tot_pay(emp_sal, emp_comm, emp_pay_total);
    IF avg_pay(emp_pay_total) = 'OK '
    THEN
       insert into bonus
         values(emp_ename,emp_job,emp_sal,emp_pay_total);
    END IF;
END;
/
--drop procedure tot_pay;
--drop function avg_pay;
