SELECT SUBSTR(country,1,20) country, SUBSTR(prod,1,15) prod, year, sales
 FROM sales_view
 MODEL RETURN UPDATED ROWS
  PARTITION BY (country)
  DIMENSION BY (prod, year)
  MEASURES (sale sales)
  RULES (
   sales['Mouse Pad', 2002] = sales['Mouse Pad', 2001] +
        sales['Mouse Pad', 2000])
 ORDER BY country, prod, year
/
