create or replace trigger check_emp_sal
   before update of sal,comm on emp
   for each row
   begin
      if :new.comm > :new.sal * .2
      then
          :new.comm := (:new.sal * .2) + 1.99;
      end if;
   end;
/
select empno,ename,sal,comm from emp where empno = 7788;
declare
  newcomm emp.comm%type;
begin
  update emp set comm = 100 where empno = 7788   
        returning comm into newcomm;
  dbms_output.put_line('Value in comm column is ' 
        || newcomm || ' after 1st update');
  update emp set comm = 1700 where empno = 7788 
        returning comm into newcomm;
  dbms_output.put_line('Value in comm column is ' 
        || newcomm || ' after 2nd update');
end;
/
rollback;